Subject: bug#8415: 23.3.50; Extensible Emacs Registers

From: Stefan Monnier <[email-masked]>
Date: Mon, 04 Apr 2011 23:07:05 -0400

>> It's the difference between "one simple obviously correct change" and
>> "one big change that might be correct".

> I see your point, though both approaches would be pretty small changes
> in the scheme of things.  If you want to split the change into smaller
> steps, that's fine so long as we eventually aim to get rid of the
> typecase polymorphism.

The end point is pretty much the same, but all the intermediate steps
are safe and easy to check.

> Well, there's EIEIO.  It gives you the ability to easily add methods
> while not baking the dispatch into each one.  On the other hand, it's a
> quite a bit of code to pull into the core at runtime.

Indeed.

        Stefan